/**
 * All WebGL core and extension constants.
 * @see https://developer.mozilla.org/en-US/docs/Web/API/WebGL_API/Constants
 * @see https://github.com/KhronosGroup/WebGL/blob/main/specs/latest/1.0/webgl.idl
 * @see https://github.com/KhronosGroup/WebGL/blob/main/specs/latest/2.0/webgl.idl
 * @see https://github.com/KhronosGroup/WebGL/tree/main/extensions
 * @packageDocumentation
 */
export declare const DEPTH_BUFFER_BIT = 256;
export declare const STENCIL_BUFFER_BIT = 1024;
export declare const COLOR_BUFFER_BIT = 16384;
export declare const POINTS = 0;
export declare const LINES = 1;
export declare const LINE_LOOP = 2;
export declare const LINE_STRIP = 3;
export declare const TRIANGLES = 4;
export declare const TRIANGLE_STRIP = 5;
export declare const TRIANGLE_FAN = 6;
export declare const ZERO = 0;
export declare const ONE = 1;
export declare const SRC_COLOR = 768;
export declare const ONE_MINUS_SRC_COLOR = 769;
export declare const SRC_ALPHA = 770;
export declare const ONE_MINUS_SRC_ALPHA = 771;
export declare const DST_ALPHA = 772;
export declare const ONE_MINUS_DST_ALPHA = 773;
export declare const DST_COLOR = 774;
export declare const ONE_MINUS_DST_COLOR = 775;
export declare const SRC_ALPHA_SATURATE = 776;
export declare const FUNC_ADD = 32774;
export declare const BLEND_EQUATION = 32777;
export declare const BLEND_EQUATION_RGB = 32777;
export declare const BLEND_EQUATION_ALPHA = 34877;
export declare const FUNC_SUBTRACT = 32778;
export declare const FUNC_REVERSE_SUBTRACT = 32779;
export declare const BLEND_DST_RGB = 32968;
export declare const BLEND_SRC_RGB = 32969;
export declare const BLEND_DST_ALPHA = 32970;
export declare const BLEND_SRC_ALPHA = 32971;
export declare const CONSTANT_COLOR = 32769;
export declare const ONE_MINUS_CONSTANT_COLOR = 32770;
export declare const CONSTANT_ALPHA = 32771;
export declare const ONE_MINUS_CONSTANT_ALPHA = 32772;
export declare const BLEND_COLOR = 32773;
export declare const ARRAY_BUFFER = 34962;
export declare const ELEMENT_ARRAY_BUFFER = 34963;
export declare const ARRAY_BUFFER_BINDING = 34964;
export declare const ELEMENT_ARRAY_BUFFER_BINDING = 34965;
export declare const STREAM_DRAW = 35040;
export declare const STATIC_DRAW = 35044;
export declare const DYNAMIC_DRAW = 35048;
export declare const BUFFER_SIZE = 34660;
export declare const BUFFER_USAGE = 34661;
export declare const CURRENT_VERTEX_ATTRIB = 34342;
export declare const FRONT = 1028;
export declare const BACK = 1029;
export declare const FRONT_AND_BACK = 1032;
export declare const CULL_FACE = 2884;
export declare const BLEND = 3042;
export declare const DITHER = 3024;
export declare const STENCIL_TEST = 2960;
export declare const DEPTH_TEST = 2929;
export declare const SCISSOR_TEST = 3089;
export declare const POLYGON_OFFSET_FILL = 32823;
export declare const SAMPLE_ALPHA_TO_COVERAGE = 32926;
export declare const SAMPLE_COVERAGE = 32928;
export declare const NO_ERROR = 0;
export declare const INVALID_ENUM = 1280;
export declare const INVALID_VALUE = 1281;
export declare const INVALID_OPERATION = 1282;
export declare const OUT_OF_MEMORY = 1285;
export declare const CW = 2304;
export declare const CCW = 2305;
export declare const LINE_WIDTH = 2849;
export declare const ALIASED_POINT_SIZE_RANGE = 33901;
export declare const ALIASED_LINE_WIDTH_RANGE = 33902;
export declare const CULL_FACE_MODE = 2885;
export declare const FRONT_FACE = 2886;
export declare const DEPTH_RANGE = 2928;
export declare const DEPTH_WRITEMASK = 2930;
export declare const DEPTH_CLEAR_VALUE = 2931;
export declare const DEPTH_FUNC = 2932;
export declare const STENCIL_CLEAR_VALUE = 2961;
export declare const STENCIL_FUNC = 2962;
export declare const STENCIL_FAIL = 2964;
export declare const STENCIL_PASS_DEPTH_FAIL = 2965;
export declare const STENCIL_PASS_DEPTH_PASS = 2966;
export declare const STENCIL_REF = 2967;
export declare const STENCIL_VALUE_MASK = 2963;
export declare const STENCIL_WRITEMASK = 2968;
export declare const STENCIL_BACK_FUNC = 34816;
export declare const STENCIL_BACK_FAIL = 34817;
export declare const STENCIL_BACK_PASS_DEPTH_FAIL = 34818;
export declare const STENCIL_BACK_PASS_DEPTH_PASS = 34819;
export declare const STENCIL_BACK_REF = 36003;
export declare const STENCIL_BACK_VALUE_MASK = 36004;
export declare const STENCIL_BACK_WRITEMASK = 36005;
export declare const VIEWPORT = 2978;
export declare const SCISSOR_BOX = 3088;
export declare const COLOR_CLEAR_VALUE = 3106;
export declare const COLOR_WRITEMASK = 3107;
export declare const UNPACK_ALIGNMENT = 3317;
export declare const PACK_ALIGNMENT = 3333;
export declare const MAX_TEXTURE_SIZE = 3379;
export declare const MAX_VIEWPORT_DIMS = 3386;
export declare const SUBPIXEL_BITS = 3408;
export declare const RED_BITS = 3410;
export declare const GREEN_BITS = 3411;
export declare const BLUE_BITS = 3412;
export declare const ALPHA_BITS = 3413;
export declare const DEPTH_BITS = 3414;
export declare const STENCIL_BITS = 3415;
export declare const POLYGON_OFFSET_UNITS = 10752;
export declare const POLYGON_OFFSET_FACTOR = 32824;
export declare const TEXTURE_BINDING_2D = 32873;
export declare const SAMPLE_BUFFERS = 32936;
export declare const SAMPLES = 32937;
export declare const SAMPLE_COVERAGE_VALUE = 32938;
export declare const SAMPLE_COVERAGE_INVERT = 32939;
export declare const COMPRESSED_TEXTURE_FORMATS = 34467;
export declare const DONT_CARE = 4352;
export declare const FASTEST = 4353;
export declare const NICEST = 4354;
export declare const GENERATE_MIPMAP_HINT = 33170;
export declare const BYTE = 5120;
export declare const UNSIGNED_BYTE = 5121;
export declare const SHORT = 5122;
export declare const UNSIGNED_SHORT = 5123;
export declare const INT = 5124;
export declare const UNSIGNED_INT = 5125;
export declare const FLOAT = 5126;
export declare const DEPTH_COMPONENT = 6402;
export declare const ALPHA = 6406;
export declare const RGB = 6407;
export declare const RGBA = 6408;
export declare const LUMINANCE = 6409;
export declare const LUMINANCE_ALPHA = 6410;
export declare const UNSIGNED_SHORT_4_4_4_4 = 32819;
export declare const UNSIGNED_SHORT_5_5_5_1 = 32820;
export declare const UNSIGNED_SHORT_5_6_5 = 33635;
export declare const FRAGMENT_SHADER = 35632;
export declare const VERTEX_SHADER = 35633;
export declare const MAX_VERTEX_ATTRIBS = 34921;
export declare const MAX_VERTEX_UNIFORM_VECTORS = 36347;
export declare const MAX_VARYING_VECTORS = 36348;
export declare const MAX_COMBINED_TEXTURE_IMAGE_UNITS = 35661;
export declare const MAX_VERTEX_TEXTURE_IMAGE_UNITS = 35660;
export declare const MAX_TEXTURE_IMAGE_UNITS = 34930;
export declare const MAX_FRAGMENT_UNIFORM_VECTORS = 36349;
export declare const SHADER_TYPE = 35663;
export declare const DELETE_STATUS = 35712;
export declare const LINK_STATUS = 35714;
export declare const VALIDATE_STATUS = 35715;
export declare const ATTACHED_SHADERS = 35717;
export declare const ACTIVE_UNIFORMS = 35718;
export declare const ACTIVE_ATTRIBUTES = 35721;
export declare const SHADING_LANGUAGE_VERSION = 35724;
export declare const CURRENT_PROGRAM = 35725;
export declare const NEVER = 512;
export declare const LESS = 513;
export declare const EQUAL = 514;
export declare const LEQUAL = 515;
export declare const GREATER = 516;
export declare const NOTEQUAL = 517;
export declare const GEQUAL = 518;
export declare const ALWAYS = 519;
export declare const KEEP = 7680;
export declare const REPLACE = 7681;
export declare const INCR = 7682;
export declare const DECR = 7683;
export declare const INVERT = 5386;
export declare const INCR_WRAP = 34055;
export declare const DECR_WRAP = 34056;
export declare const VENDOR = 7936;
export declare const RENDERER = 7937;
export declare const VERSION = 7938;
export declare const NEAREST = 9728;
export declare const LINEAR = 9729;
export declare const NEAREST_MIPMAP_NEAREST = 9984;
export declare const LINEAR_MIPMAP_NEAREST = 9985;
export declare const NEAREST_MIPMAP_LINEAR = 9986;
export declare const LINEAR_MIPMAP_LINEAR = 9987;
export declare const TEXTURE_MAG_FILTER = 10240;
export declare const TEXTURE_MIN_FILTER = 10241;
export declare const TEXTURE_WRAP_S = 10242;
export declare const TEXTURE_WRAP_T = 10243;
export declare const TEXTURE_2D = 3553;
export declare const TEXTURE = 5890;
export declare const TEXTURE_CUBE_MAP = 34067;
export declare const TEXTURE_BINDING_CUBE_MAP = 34068;
export declare const TEXTURE_CUBE_MAP_POSITIVE_X = 34069;
export declare const TEXTURE_CUBE_MAP_NEGATIVE_X = 34070;
export declare const TEXTURE_CUBE_MAP_POSITIVE_Y = 34071;
export declare const TEXTURE_CUBE_MAP_NEGATIVE_Y = 34072;
export declare const TEXTURE_CUBE_MAP_POSITIVE_Z = 34073;
export declare const TEXTURE_CUBE_MAP_NEGATIVE_Z = 34074;
export declare const MAX_CUBE_MAP_TEXTURE_SIZE = 34076;
export declare const TEXTURE0 = 33984;
export declare const TEXTURE1 = 33985;
export declare const TEXTURE2 = 33986;
export declare const TEXTURE3 = 33987;
export declare const TEXTURE4 = 33988;
export declare const TEXTURE5 = 33989;
export declare const TEXTURE6 = 33990;
export declare const TEXTURE7 = 33991;
export declare const TEXTURE8 = 33992;
export declare const TEXTURE9 = 33993;
export declare const TEXTURE10 = 33994;
export declare const TEXTURE11 = 33995;
export declare const TEXTURE12 = 33996;
export declare const TEXTURE13 = 33997;
export declare const TEXTURE14 = 33998;
export declare const TEXTURE15 = 33999;
export declare const TEXTURE16 = 34000;
export declare const TEXTURE17 = 34001;
export declare const TEXTURE18 = 34002;
export declare const TEXTURE19 = 34003;
export declare const TEXTURE20 = 34004;
export declare const TEXTURE21 = 34005;
export declare const TEXTURE22 = 34006;
export declare const TEXTURE23 = 34007;
export declare const TEXTURE24 = 34008;
export declare const TEXTURE25 = 34009;
export declare const TEXTURE26 = 34010;
export declare const TEXTURE27 = 34011;
export declare const TEXTURE28 = 34012;
export declare const TEXTURE29 = 34013;
export declare const TEXTURE30 = 34014;
export declare const TEXTURE31 = 34015;
export declare const ACTIVE_TEXTURE = 34016;
export declare const REPEAT = 10497;
export declare const CLAMP_TO_EDGE = 33071;
export declare const MIRRORED_REPEAT = 33648;
export declare const FLOAT_VEC2 = 35664;
export declare const FLOAT_VEC3 = 35665;
export declare const FLOAT_VEC4 = 35666;
export declare const INT_VEC2 = 35667;
export declare const INT_VEC3 = 35668;
export declare const INT_VEC4 = 35669;
export declare const BOOL = 35670;
export declare const BOOL_VEC2 = 35671;
export declare const BOOL_VEC3 = 35672;
export declare const BOOL_VEC4 = 35673;
export declare const FLOAT_MAT2 = 35674;
export declare const FLOAT_MAT3 = 35675;
export declare const FLOAT_MAT4 = 35676;
export declare const SAMPLER_2D = 35678;
export declare const SAMPLER_CUBE = 35680;
export declare const VERTEX_ATTRIB_ARRAY_ENABLED = 34338;
export declare const VERTEX_ATTRIB_ARRAY_SIZE = 34339;
export declare const VERTEX_ATTRIB_ARRAY_STRIDE = 34340;
export declare const VERTEX_ATTRIB_ARRAY_TYPE = 34341;
export declare const VERTEX_ATTRIB_ARRAY_NORMALIZED = 34922;
export declare const VERTEX_ATTRIB_ARRAY_POINTER = 34373;
export declare const VERTEX_ATTRIB_ARRAY_BUFFER_BINDING = 34975;
export declare const IMPLEMENTATION_COLOR_READ_TYPE = 35738;
export declare const IMPLEMENTATION_COLOR_READ_FORMAT = 35739;
export declare const COMPILE_STATUS = 35713;
export declare const LOW_FLOAT = 36336;
export declare const MEDIUM_FLOAT = 36337;
export declare const HIGH_FLOAT = 36338;
export declare const LOW_INT = 36339;
export declare const MEDIUM_INT = 36340;
export declare const HIGH_INT = 36341;
export declare const FRAMEBUFFER = 36160;
export declare const RENDERBUFFER = 36161;
export declare const RGBA4 = 32854;
export declare const RGB5_A1 = 32855;
export declare const RGB565 = 36194;
export declare const DEPTH_COMPONENT16 = 33189;
export declare const STENCIL_INDEX = 6401;
export declare const STENCIL_INDEX8 = 36168;
export declare const DEPTH_STENCIL = 34041;
export declare const RENDERBUFFER_WIDTH = 36162;
export declare const RENDERBUFFER_HEIGHT = 36163;
export declare const RENDERBUFFER_INTERNAL_FORMAT = 36164;
export declare const RENDERBUFFER_RED_SIZE = 36176;
export declare const RENDERBUFFER_GREEN_SIZE = 36177;
export declare const RENDERBUFFER_BLUE_SIZE = 36178;
export declare const RENDERBUFFER_ALPHA_SIZE = 36179;
export declare const RENDERBUFFER_DEPTH_SIZE = 36180;
export declare const RENDERBUFFER_STENCIL_SIZE = 36181;
export declare const FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE = 36048;
export declare const FRAMEBUFFER_ATTACHMENT_OBJECT_NAME = 36049;
export declare const FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL = 36050;
export declare const FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE = 36051;
export declare const COLOR_ATTACHMENT0 = 36064;
export declare const DEPTH_ATTACHMENT = 36096;
export declare const STENCIL_ATTACHMENT = 36128;
export declare const DEPTH_STENCIL_ATTACHMENT = 33306;
export declare const NONE = 0;
export declare const FRAMEBUFFER_COMPLETE = 36053;
export declare const FRAMEBUFFER_INCOMPLETE_ATTACHMENT = 36054;
export declare const FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT = 36055;
export declare const FRAMEBUFFER_INCOMPLETE_DIMENSIONS = 36057;
export declare const FRAMEBUFFER_UNSUPPORTED = 36061;
export declare const FRAMEBUFFER_BINDING = 36006;
export declare const RENDERBUFFER_BINDING = 36007;
export declare const MAX_RENDERBUFFER_SIZE = 34024;
export declare const INVALID_FRAMEBUFFER_OPERATION = 1286;
export declare const UNPACK_FLIP_Y_WEBGL = 37440;
export declare const UNPACK_PREMULTIPLY_ALPHA_WEBGL = 37441;
export declare const CONTEXT_LOST_WEBGL = 37442;
export declare const UNPACK_COLORSPACE_CONVERSION_WEBGL = 37443;
export declare const BROWSER_DEFAULT_WEBGL = 37444;
export declare const READ_BUFFER = 3074;
export declare const UNPACK_ROW_LENGTH = 3314;
export declare const UNPACK_SKIP_ROWS = 3315;
export declare const UNPACK_SKIP_PIXELS = 3316;
export declare const PACK_ROW_LENGTH = 3330;
export declare const PACK_SKIP_ROWS = 3331;
export declare const PACK_SKIP_PIXELS = 3332;
export declare const COLOR = 6144;
export declare const DEPTH = 6145;
export declare const STENCIL = 6146;
export declare const RED = 6403;
export declare const RGB8 = 32849;
export declare const RGBA8 = 32856;
export declare const RGB10_A2 = 32857;
export declare const TEXTURE_BINDING_3D = 32874;
export declare const UNPACK_SKIP_IMAGES = 32877;
export declare const UNPACK_IMAGE_HEIGHT = 32878;
export declare const TEXTURE_3D = 32879;
export declare const TEXTURE_WRAP_R = 32882;
export declare const MAX_3D_TEXTURE_SIZE = 32883;
export declare const UNSIGNED_INT_2_10_10_10_REV = 33640;
export declare const MAX_ELEMENTS_VERTICES = 33000;
export declare const MAX_ELEMENTS_INDICES = 33001;
export declare const TEXTURE_MIN_LOD = 33082;
export declare const TEXTURE_MAX_LOD = 33083;
export declare const TEXTURE_BASE_LEVEL = 33084;
export declare const TEXTURE_MAX_LEVEL = 33085;
export declare const MIN = 32775;
export declare const MAX = 32776;
export declare const DEPTH_COMPONENT24 = 33190;
export declare const MAX_TEXTURE_LOD_BIAS = 34045;
export declare const TEXTURE_COMPARE_MODE = 34892;
export declare const TEXTURE_COMPARE_FUNC = 34893;
export declare const CURRENT_QUERY = 34917;
export declare const QUERY_RESULT = 34918;
export declare const QUERY_RESULT_AVAILABLE = 34919;
export declare const STREAM_READ = 35041;
export declare const STREAM_COPY = 35042;
export declare const STATIC_READ = 35045;
export declare const STATIC_COPY = 35046;
export declare const DYNAMIC_READ = 35049;
export declare const DYNAMIC_COPY = 35050;
export declare const MAX_DRAW_BUFFERS = 34852;
export declare const DRAW_BUFFER0 = 34853;
export declare const DRAW_BUFFER1 = 34854;
export declare const DRAW_BUFFER2 = 34855;
export declare const DRAW_BUFFER3 = 34856;
export declare const DRAW_BUFFER4 = 34857;
export declare const DRAW_BUFFER5 = 34858;
export declare const DRAW_BUFFER6 = 34859;
export declare const DRAW_BUFFER7 = 34860;
export declare const DRAW_BUFFER8 = 34861;
export declare const DRAW_BUFFER9 = 34862;
export declare const DRAW_BUFFER10 = 34863;
export declare const DRAW_BUFFER11 = 34864;
export declare const DRAW_BUFFER12 = 34865;
export declare const DRAW_BUFFER13 = 34866;
export declare const DRAW_BUFFER14 = 34867;
export declare const DRAW_BUFFER15 = 34868;
export declare const MAX_FRAGMENT_UNIFORM_COMPONENTS = 35657;
export declare const MAX_VERTEX_UNIFORM_COMPONENTS = 35658;
export declare const SAMPLER_3D = 35679;
export declare const SAMPLER_2D_SHADOW = 35682;
export declare const FRAGMENT_SHADER_DERIVATIVE_HINT = 35723;
export declare const PIXEL_PACK_BUFFER = 35051;
export declare const PIXEL_UNPACK_BUFFER = 35052;
export declare const PIXEL_PACK_BUFFER_BINDING = 35053;
export declare const PIXEL_UNPACK_BUFFER_BINDING = 35055;
export declare const FLOAT_MAT2x3 = 35685;
export declare const FLOAT_MAT2x4 = 35686;
export declare const FLOAT_MAT3x2 = 35687;
export declare const FLOAT_MAT3x4 = 35688;
export declare const FLOAT_MAT4x2 = 35689;
export declare const FLOAT_MAT4x3 = 35690;
export declare const SRGB = 35904;
export declare const SRGB8 = 35905;
export declare const SRGB8_ALPHA8 = 35907;
export declare const COMPARE_REF_TO_TEXTURE = 34894;
export declare const RGBA32F = 34836;
export declare const RGB32F = 34837;
export declare const RGBA16F = 34842;
export declare const RGB16F = 34843;
export declare const VERTEX_ATTRIB_ARRAY_INTEGER = 35069;
export declare const MAX_ARRAY_TEXTURE_LAYERS = 35071;
export declare const MIN_PROGRAM_TEXEL_OFFSET = 35076;
export declare const MAX_PROGRAM_TEXEL_OFFSET = 35077;
export declare const MAX_VARYING_COMPONENTS = 35659;
export declare const TEXTURE_2D_ARRAY = 35866;
export declare const TEXTURE_BINDING_2D_ARRAY = 35869;
export declare const R11F_G11F_B10F = 35898;
export declare const UNSIGNED_INT_10F_11F_11F_REV = 35899;
export declare const RGB9_E5 = 35901;
export declare const UNSIGNED_INT_5_9_9_9_REV = 35902;
export declare const TRANSFORM_FEEDBACK_BUFFER_MODE = 35967;
export declare const MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS = 35968;
export declare const TRANSFORM_FEEDBACK_VARYINGS = 35971;
export declare const TRANSFORM_FEEDBACK_BUFFER_START = 35972;
export declare const TRANSFORM_FEEDBACK_BUFFER_SIZE = 35973;
export declare const TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN = 35976;
export declare const RASTERIZER_DISCARD = 35977;
export declare const MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS = 35978;
export declare const MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS = 35979;
export declare const INTERLEAVED_ATTRIBS = 35980;
export declare const SEPARATE_ATTRIBS = 35981;
export declare const TRANSFORM_FEEDBACK_BUFFER = 35982;
export declare const TRANSFORM_FEEDBACK_BUFFER_BINDING = 35983;
export declare const RGBA32UI = 36208;
export declare const RGB32UI = 36209;
export declare const RGBA16UI = 36214;
export declare const RGB16UI = 36215;
export declare const RGBA8UI = 36220;
export declare const RGB8UI = 36221;
export declare const RGBA32I = 36226;
export declare const RGB32I = 36227;
export declare const RGBA16I = 36232;
export declare const RGB16I = 36233;
export declare const RGBA8I = 36238;
export declare const RGB8I = 36239;
export declare const RED_INTEGER = 36244;
export declare const RGB_INTEGER = 36248;
export declare const RGBA_INTEGER = 36249;
export declare const SAMPLER_2D_ARRAY = 36289;
export declare const SAMPLER_2D_ARRAY_SHADOW = 36292;
export declare const SAMPLER_CUBE_SHADOW = 36293;
export declare const UNSIGNED_INT_VEC2 = 36294;
export declare const UNSIGNED_INT_VEC3 = 36295;
export declare const UNSIGNED_INT_VEC4 = 36296;
export declare const INT_SAMPLER_2D = 36298;
export declare const INT_SAMPLER_3D = 36299;
export declare const INT_SAMPLER_CUBE = 36300;
export declare const INT_SAMPLER_2D_ARRAY = 36303;
export declare const UNSIGNED_INT_SAMPLER_2D = 36306;
export declare const UNSIGNED_INT_SAMPLER_3D = 36307;
export declare const UNSIGNED_INT_SAMPLER_CUBE = 36308;
export declare const UNSIGNED_INT_SAMPLER_2D_ARRAY = 36311;
export declare const DEPTH_COMPONENT32F = 36012;
export declare const DEPTH32F_STENCIL8 = 36013;
export declare const FLOAT_32_UNSIGNED_INT_24_8_REV = 36269;
export declare const FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING = 33296;
export declare const FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE = 33297;
export declare const FRAMEBUFFER_ATTACHMENT_RED_SIZE = 33298;
export declare const FRAMEBUFFER_ATTACHMENT_GREEN_SIZE = 33299;
export declare const FRAMEBUFFER_ATTACHMENT_BLUE_SIZE = 33300;
export declare const FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE = 33301;
export declare const FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE = 33302;
export declare const FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE = 33303;
export declare const FRAMEBUFFER_DEFAULT = 33304;
export declare const UNSIGNED_INT_24_8 = 34042;
export declare const DEPTH24_STENCIL8 = 35056;
export declare const UNSIGNED_NORMALIZED = 35863;
export declare const DRAW_FRAMEBUFFER_BINDING = 36006;
export declare const READ_FRAMEBUFFER = 36008;
export declare const DRAW_FRAMEBUFFER = 36009;
export declare const READ_FRAMEBUFFER_BINDING = 36010;
export declare const RENDERBUFFER_SAMPLES = 36011;
export declare const FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER = 36052;
export declare const MAX_COLOR_ATTACHMENTS = 36063;
export declare const COLOR_ATTACHMENT1 = 36065;
export declare const COLOR_ATTACHMENT2 = 36066;
export declare const COLOR_ATTACHMENT3 = 36067;
export declare const COLOR_ATTACHMENT4 = 36068;
export declare const COLOR_ATTACHMENT5 = 36069;
export declare const COLOR_ATTACHMENT6 = 36070;
export declare const COLOR_ATTACHMENT7 = 36071;
export declare const COLOR_ATTACHMENT8 = 36072;
export declare const COLOR_ATTACHMENT9 = 36073;
export declare const COLOR_ATTACHMENT10 = 36074;
export declare const COLOR_ATTACHMENT11 = 36075;
export declare const COLOR_ATTACHMENT12 = 36076;
export declare const COLOR_ATTACHMENT13 = 36077;
export declare const COLOR_ATTACHMENT14 = 36078;
export declare const COLOR_ATTACHMENT15 = 36079;
export declare const FRAMEBUFFER_INCOMPLETE_MULTISAMPLE = 36182;
export declare const MAX_SAMPLES = 36183;
export declare const HALF_FLOAT = 5131;
export declare const RG = 33319;
export declare const RG_INTEGER = 33320;
export declare const R8 = 33321;
export declare const RG8 = 33323;
export declare const R16F = 33325;
export declare const R32F = 33326;
export declare const RG16F = 33327;
export declare const RG32F = 33328;
export declare const R8I = 33329;
export declare const R8UI = 33330;
export declare const R16I = 33331;
export declare const R16UI = 33332;
export declare const R32I = 33333;
export declare const R32UI = 33334;
export declare const RG8I = 33335;
export declare const RG8UI = 33336;
export declare const RG16I = 33337;
export declare const RG16UI = 33338;
export declare const RG32I = 33339;
export declare const RG32UI = 33340;
export declare const VERTEX_ARRAY_BINDING = 34229;
export declare const R8_SNORM = 36756;
export declare const RG8_SNORM = 36757;
export declare const RGB8_SNORM = 36758;
export declare const RGBA8_SNORM = 36759;
export declare const SIGNED_NORMALIZED = 36764;
export declare const COPY_READ_BUFFER = 36662;
export declare const COPY_WRITE_BUFFER = 36663;
export declare const COPY_READ_BUFFER_BINDING = 36662;
export declare const COPY_WRITE_BUFFER_BINDING = 36663;
export declare const UNIFORM_BUFFER = 35345;
export declare const UNIFORM_BUFFER_BINDING = 35368;
export declare const UNIFORM_BUFFER_START = 35369;
export declare const UNIFORM_BUFFER_SIZE = 35370;
export declare const MAX_VERTEX_UNIFORM_BLOCKS = 35371;
export declare const MAX_FRAGMENT_UNIFORM_BLOCKS = 35373;
export declare const MAX_COMBINED_UNIFORM_BLOCKS = 35374;
export declare const MAX_UNIFORM_BUFFER_BINDINGS = 35375;
export declare const MAX_UNIFORM_BLOCK_SIZE = 35376;
export declare const MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS = 35377;
export declare const MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS = 35379;
export declare const UNIFORM_BUFFER_OFFSET_ALIGNMENT = 35380;
export declare const ACTIVE_UNIFORM_BLOCKS = 35382;
export declare const UNIFORM_TYPE = 35383;
export declare const UNIFORM_SIZE = 35384;
export declare const UNIFORM_BLOCK_INDEX = 35386;
export declare const UNIFORM_OFFSET = 35387;
export declare const UNIFORM_ARRAY_STRIDE = 35388;
export declare const UNIFORM_MATRIX_STRIDE = 35389;
export declare const UNIFORM_IS_ROW_MAJOR = 35390;
export declare const UNIFORM_BLOCK_BINDING = 35391;
export declare const UNIFORM_BLOCK_DATA_SIZE = 35392;
export declare const UNIFORM_BLOCK_ACTIVE_UNIFORMS = 35394;
export declare const UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES = 35395;
export declare const UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER = 35396;
export declare const UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER = 35398;
export declare const INVALID_INDEX = 4294967295;
export declare const MAX_VERTEX_OUTPUT_COMPONENTS = 37154;
export declare const MAX_FRAGMENT_INPUT_COMPONENTS = 37157;
export declare const MAX_SERVER_WAIT_TIMEOUT = 37137;
export declare const OBJECT_TYPE = 37138;
export declare const SYNC_CONDITION = 37139;
export declare const SYNC_STATUS = 37140;
export declare const SYNC_FLAGS = 37141;
export declare const SYNC_FENCE = 37142;
export declare const SYNC_GPU_COMMANDS_COMPLETE = 37143;
export declare const UNSIGNALED = 37144;
export declare const SIGNALED = 37145;
export declare const ALREADY_SIGNALED = 37146;
export declare const TIMEOUT_EXPIRED = 37147;
export declare const CONDITION_SATISFIED = 37148;
export declare const WAIT_FAILED = 37149;
export declare const SYNC_FLUSH_COMMANDS_BIT = 1;
export declare const VERTEX_ATTRIB_ARRAY_DIVISOR = 35070;
export declare const ANY_SAMPLES_PASSED = 35887;
export declare const ANY_SAMPLES_PASSED_CONSERVATIVE = 36202;
export declare const SAMPLER_BINDING = 35097;
export declare const RGB10_A2UI = 36975;
export declare const INT_2_10_10_10_REV = 36255;
export declare const TRANSFORM_FEEDBACK = 36386;
export declare const TRANSFORM_FEEDBACK_PAUSED = 36387;
export declare const TRANSFORM_FEEDBACK_ACTIVE = 36388;
export declare const TRANSFORM_FEEDBACK_BINDING = 36389;
export declare const TEXTURE_IMMUTABLE_FORMAT = 37167;
export declare const MAX_ELEMENT_INDEX = 36203;
export declare const TEXTURE_IMMUTABLE_LEVELS = 33503;
export declare const TIMEOUT_IGNORED = -1;
export declare const MAX_CLIENT_WAIT_TIMEOUT_WEBGL = 37447;
export declare const VERTEX_ATTRIB_ARRAY_DIVISOR_ANGLE = 35070;
export declare const MIN_EXT = 32775;
export declare const MAX_EXT = 32776;
export declare const MAX_CLIP_DISTANCES_EXT = 3378;
export declare const MAX_CULL_DISTANCES_EXT = 33529;
export declare const MAX_COMBINED_CLIP_AND_CULL_DISTANCES_EXT = 33530;
export declare const CLIP_DISTANCE0_EXT = 12288;
export declare const CLIP_DISTANCE1_EXT = 12289;
export declare const CLIP_DISTANCE2_EXT = 12290;
export declare const CLIP_DISTANCE3_EXT = 12291;
export declare const CLIP_DISTANCE4_EXT = 12292;
export declare const CLIP_DISTANCE5_EXT = 12293;
export declare const CLIP_DISTANCE6_EXT = 12294;
export declare const CLIP_DISTANCE7_EXT = 12295;
export declare const RGBA16F_EXT = 34842;
export declare const RGB16F_EXT = 34843;
export declare const FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT = 33297;
export declare const UNSIGNED_NORMALIZED_EXT = 35863;
export declare const QUERY_COUNTER_BITS_EXT = 34916;
export declare const CURRENT_QUERY_EXT = 34917;
export declare const QUERY_RESULT_EXT = 34918;
export declare const QUERY_RESULT_AVAILABLE_EXT = 34919;
export declare const TIME_ELAPSED_EXT = 35007;
export declare const TIMESTAMP_EXT = 36392;
export declare const GPU_DISJOINT_EXT = 36795;
export declare const SRGB_EXT = 35904;
export declare const SRGB_ALPHA_EXT = 35906;
export declare const SRGB8_ALPHA8_EXT = 35907;
export declare const FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING_EXT = 33296;
export declare const COMPRESSED_RGBA_BPTC_UNORM_EXT = 36492;
export declare const COMPRESSED_SRGB_ALPHA_BPTC_UNORM_EXT = 36493;
export declare const COMPRESSED_RGB_BPTC_SIGNED_FLOAT_EXT = 36494;
export declare const COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_EXT = 36495;
export declare const COMPRESSED_RED_RGTC1_EXT = 36283;
export declare const COMPRESSED_SIGNED_RED_RGTC1_EXT = 36284;
export declare const COMPRESSED_RED_GREEN_RGTC2_EXT = 36285;
export declare const COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT = 36286;
export declare const TEXTURE_MAX_ANISOTROPY_EXT = 34046;
export declare const MAX_TEXTURE_MAX_ANISOTROPY_EXT = 34047;
export declare const R16_EXT = 33322;
export declare const RG16_EXT = 33324;
export declare const RGB16_EXT = 32852;
export declare const RGBA16_EXT = 32859;
export declare const R16_SNORM_EXT = 36760;
export declare const RG16_SNORM_EXT = 36761;
export declare const RGB16_SNORM_EXT = 36762;
export declare const RGBA16_SNORM_EXT = 36763;
export declare const COMPLETION_STATUS_KHR = 37297;
export declare const FRAGMENT_SHADER_DERIVATIVE_HINT_OES = 35723;
export declare const HALF_FLOAT_OES = 36193;
export declare const VERTEX_ARRAY_BINDING_OES = 34229;
export declare const FRAMEBUFFER_ATTACHMENT_TEXTURE_NUM_VIEWS_OVR = 38448;
export declare const FRAMEBUFFER_ATTACHMENT_TEXTURE_BASE_VIEW_INDEX_OVR = 38450;
export declare const MAX_VIEWS_OVR = 38449;
export declare const FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR = 38451;
export declare const MULTIPLY = 37524;
export declare const SCREEN = 37525;
export declare const OVERLAY = 37526;
export declare const DARKEN = 37527;
export declare const LIGHTEN = 37528;
export declare const COLORDODGE = 37529;
export declare const COLORBURN = 37530;
export declare const HARDLIGHT = 37531;
export declare const SOFTLIGHT = 37532;
export declare const DIFFERENCE = 37534;
export declare const EXCLUSION = 37536;
export declare const HSL_HUE = 37549;
export declare const HSL_SATURATION = 37550;
export declare const HSL_COLOR = 37551;
export declare const HSL_LUMINOSITY = 37552;
export declare const RGBA32F_EXT = 34836;
export declare const COMPRESSED_RGBA_ASTC_4x4_KHR = 37808;
export declare const COMPRESSED_RGBA_ASTC_5x4_KHR = 37809;
export declare const COMPRESSED_RGBA_ASTC_5x5_KHR = 37810;
export declare const COMPRESSED_RGBA_ASTC_6x5_KHR = 37811;
export declare const COMPRESSED_RGBA_ASTC_6x6_KHR = 37812;
export declare const COMPRESSED_RGBA_ASTC_8x5_KHR = 37813;
export declare const COMPRESSED_RGBA_ASTC_8x6_KHR = 37814;
export declare const COMPRESSED_RGBA_ASTC_8x8_KHR = 37815;
export declare const COMPRESSED_RGBA_ASTC_10x5_KHR = 37816;
export declare const COMPRESSED_RGBA_ASTC_10x6_KHR = 37817;
export declare const COMPRESSED_RGBA_ASTC_10x8_KHR = 37818;
export declare const COMPRESSED_RGBA_ASTC_10x10_KHR = 37819;
export declare const COMPRESSED_RGBA_ASTC_12x10_KHR = 37820;
export declare const COMPRESSED_RGBA_ASTC_12x12_KHR = 37821;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR = 37840;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR = 37841;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR = 37842;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR = 37843;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR = 37844;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR = 37845;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR = 37846;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR = 37847;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR = 37848;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR = 37849;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR = 37850;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR = 37851;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR = 37852;
export declare const COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR = 37853;
export declare const COMPRESSED_R11_EAC = 37488;
export declare const COMPRESSED_SIGNED_R11_EAC = 37489;
export declare const COMPRESSED_RG11_EAC = 37490;
export declare const COMPRESSED_SIGNED_RG11_EAC = 37491;
export declare const COMPRESSED_RGB8_ETC2 = 37492;
export declare const COMPRESSED_SRGB8_ETC2 = 37493;
export declare const COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2 = 37494;
export declare const COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2 = 37495;
export declare const COMPRESSED_RGBA8_ETC2_EAC = 37496;
export declare const COMPRESSED_SRGB8_ALPHA8_ETC2_EAC = 37497;
export declare const COMPRESSED_RGB_ETC1_WEBGL = 36196;
export declare const COMPRESSED_RGB_PVRTC_4BPPV1_IMG = 35840;
export declare const COMPRESSED_RGB_PVRTC_2BPPV1_IMG = 35841;
export declare const COMPRESSED_RGBA_PVRTC_4BPPV1_IMG = 35842;
export declare const COMPRESSED_RGBA_PVRTC_2BPPV1_IMG = 35843;
export declare const COMPRESSED_RGB_S3TC_DXT1_EXT = 33776;
export declare const COMPRESSED_RGBA_S3TC_DXT1_EXT = 33777;
export declare const COMPRESSED_RGBA_S3TC_DXT3_EXT = 33778;
export declare const COMPRESSED_RGBA_S3TC_DXT5_EXT = 33779;
export declare const COMPRESSED_SRGB_S3TC_DXT1_EXT = 35916;
export declare const COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT = 35917;
export declare const COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT = 35918;
export declare const COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT = 35919;
export declare const UNMASKED_VENDOR_WEBGL = 37445;
export declare const UNMASKED_RENDERER_WEBGL = 37446;
export declare const UNSIGNED_INT_24_8_WEBGL = 34042;
export declare const COLOR_ATTACHMENT0_WEBGL = 36064;
export declare const COLOR_ATTACHMENT1_WEBGL = 36065;
export declare const COLOR_ATTACHMENT2_WEBGL = 36066;
export declare const COLOR_ATTACHMENT3_WEBGL = 36067;
export declare const COLOR_ATTACHMENT4_WEBGL = 36068;
export declare const COLOR_ATTACHMENT5_WEBGL = 36069;
export declare const COLOR_ATTACHMENT6_WEBGL = 36070;
export declare const COLOR_ATTACHMENT7_WEBGL = 36071;
export declare const COLOR_ATTACHMENT8_WEBGL = 36072;
export declare const COLOR_ATTACHMENT9_WEBGL = 36073;
export declare const COLOR_ATTACHMENT10_WEBGL = 36074;
export declare const COLOR_ATTACHMENT11_WEBGL = 36075;
export declare const COLOR_ATTACHMENT12_WEBGL = 36076;
export declare const COLOR_ATTACHMENT13_WEBGL = 36077;
export declare const COLOR_ATTACHMENT14_WEBGL = 36078;
export declare const COLOR_ATTACHMENT15_WEBGL = 36079;
export declare const DRAW_BUFFER0_WEBGL = 34853;
export declare const DRAW_BUFFER1_WEBGL = 34854;
export declare const DRAW_BUFFER2_WEBGL = 34855;
export declare const DRAW_BUFFER3_WEBGL = 34856;
export declare const DRAW_BUFFER4_WEBGL = 34857;
export declare const DRAW_BUFFER5_WEBGL = 34858;
export declare const DRAW_BUFFER6_WEBGL = 34859;
export declare const DRAW_BUFFER7_WEBGL = 34860;
export declare const DRAW_BUFFER8_WEBGL = 34861;
export declare const DRAW_BUFFER9_WEBGL = 34862;
export declare const DRAW_BUFFER10_WEBGL = 34863;
export declare const DRAW_BUFFER11_WEBGL = 34864;
export declare const DRAW_BUFFER12_WEBGL = 34865;
export declare const DRAW_BUFFER13_WEBGL = 34866;
export declare const DRAW_BUFFER14_WEBGL = 34867;
export declare const DRAW_BUFFER15_WEBGL = 34868;
export declare const MAX_COLOR_ATTACHMENTS_WEBGL = 36063;
export declare const MAX_DRAW_BUFFERS_WEBGL = 34852;
//# sourceMappingURL=gl-const.d.ts.map